Skip to main content
POST
/
v3
/
moderations
Create Moderation
curl --request POST \
  --url https://api.edenai.run/v3/moderations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": "<string>",
  "model": "openai/omni-moderation-latest"
}
'
import requests

url = "https://api.edenai.run/v3/moderations"

payload = {
"input": "<string>",
"model": "openai/omni-moderation-latest"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: '<string>', model: 'openai/omni-moderation-latest'})
};

fetch('https://api.edenai.run/v3/moderations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "model": "<string>",
  "results": [
    {
      "categories": {},
      "category_applied_input_types": {},
      "category_scores": {},
      "flagged": true
    }
  ],
  "cost": 123,
  "provider": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
input
required

Text or multimodal content to classify.

model
string
default:openai/omni-moderation-latest

Model identifier in 'provider/model' format, e.g. 'openai/omni-moderation-latest'.

Response

Successful Response

id
string
required
model
string
required
results
OpenAIModerationResult · object[]
required
cost
number | null
provider
string | null